
function SceneCreateAccountFail1(options) {
	this.options = options;
    
    this.CreateAccountFail1View=null;
    
    this.SignupTitleLabel = null;
     
    this.MsgTopLabel = null;
    this.MsgMiddleLabel = null;
    this.MsgBottomLabel = null;

    this.SkypeNameBtn = null;
    
    this.SkypeNameLable = null;
    this.SkypeNameLableInfo = null;
    this.SkypeNameCheckIcon = null;
    this.SkypeNameEditBtn = null;
    this.SkypeOkBtn = null;
    
	this.SuggestionList = null;
	
	this.toggleFlag = null;
	this.listHighlight = false;

    
}

SceneCreateAccountFail1.prototype.initialize = function () {
	alert("SceneCreateAccountFail1.initialize()");
	// this function will be called only once when the scene manager show this scene first time
	// initialize the scene controls and styles, and initialize your variables here 
	// scene HTML and CSS will be loaded before this function is called
   
    this.create();
}

SceneCreateAccountFail1.prototype.handleShow = function () {
	alert("SceneCreateAccountFail1.handleShow()");
	// this function will be called when the scene manager show this scene 
    this.initCreateAccountFail1();
}

SceneCreateAccountFail1.prototype.handleHide = function () {
	alert("SceneCreateAccountFail1.handleHide()");
	this.SuggestionList.ResetHighlight();	
	// this function will be called when the scene manager hide this scene  
    
    //sf.scene.hide(this.SubSceneId[this.iCurrentSubScene]);

}

SceneCreateAccountFail1.prototype.handleFocus = function () {
	alert("SceneCreateAccountFail1.handleFocus()");
	// this function will be called when the scene manager focus this scene
    var currentHighlight =  this.CreateAccountFail1View.getCurrentHighlight();
    alert("currentHightlight : "+currentHighlight);
    if(currentHighlight ==null)
    {
        this.moveToSuggestion();
    }
    else
    {
    	this.listHighlight = false;
    	if(this.toggleFlag==true){
    		this.toggleObject();
    		this.highlight(this.SkypeNameEditBtn);
    	}else{
    		if(currentHighlight==this.SkypeNameBtn){
    			this.highlight(this.SkypeNameBtn);
    			this.toggleFlag=true;	
    		}else{
    		if(this.SkypeOkBtn.GetFlagDim()){
    			this.highlight(this.SkypeNameEditBtn);
    		}else{
    			this.highlight(this.SkypeOkBtn);
    		}
    	}
    	
    	}
    	
         
		 if(currentHighlight == this.SuggestionList){
		 	this.listHighlight = true;
		 	this.DefaultHelpBar.visibleObj();
		 }
    }
  
	var this_ = sf.scene.get("CreateAccountFail1");
  	var returnCF =  function(){this_.processReturnKey();};
    WndMgr.SetReturnIconClickCallback(returnCF);
}

SceneCreateAccountFail1.prototype.handleBlur = function () {
	alert("SceneCreateAccountFail1.handleBlur()");
	// this function will be called when the scene manager move focus to another scene from this scene
    var currentHighlight =  this.CreateAccountFail1View.getCurrentHighlight();
    currentHighlight.blur();
	
	if(currentHighlight == this.SuggestionList){
		//this.DefaultHelpBar.hiddenObj();
	}

	WndMgr.SetReturnIconClickCallback(null);
}

SceneCreateAccountFail1.prototype.handleKeyDown = function (keyCode) {
	alert("SceneCreateAccountFail1.handleKeyDown(" + keyCode + ")");
	// TODO : write an key event handler when this scene get focued
	PluginAPIMgr.PlayAudio(keyCode);
	if(ProcMgr.checkWidgetHighlight()==false){
		return;
	}
	switch (keyCode) {
		case sf.key.LEFT:
			this.processLeftKey();
			break;
		case sf.key.RIGHT:
			this.processRightKey();
			break;
		case sf.key.UP:
			this.processUpKey();
			break;
		case sf.key.DOWN:
			this.processDownKey();
			break;
		case sf.key.ENTER:
            this.processEnterKey();
			break;
            
        case sf.key.RETURN:
            this.processReturnKey();
            //2013 modify by minseok
            sf.key.preventDefault();
            //sf.key.block(event);
			break;
        
       case sf.key.EXIT:
            this.processExitKey();
            //2013 modify by minseok
            sf.key.preventDefault();
            //sf.key.block(event);
			break;
            
        case 147:  //infolink
        case 261:  //contents
        case 115:  //wiselink
            ProcMgr.processInfolinkKey(); 
			break;
		default:
            ProcMgr.processBlockKey(keyCode);
            break;
	}
}

///////////////////////////////////////////////////////////////////////////////////////////////////////////

SceneCreateAccountFail1.prototype.create = function(){
    alert("SceneCreateAccountFail1.create()");
    this.CreateAccountFail1View = new View("CreateAccountFail1");
    // this.CreateAccountFail1View.SetBgImage(g_Image.IMAGE_SIGNUP_BG);
    
    this.SignupTitleLabel = new Label(null,"signup_suggestion_title");
    this.SignupTitleLabel.SetTextStyle("signup_suggestion_title_style");
    this.SignupTitleLabel.SetText(TV_SID_CREATE_AN_ACCOUNT);   

    this.MsgTopLabel = new Label(null,"signup_suggestion_message_top");
    this.MsgTopLabel.SetTextStyle("signup_suggestion_message_top_style");
    this.MsgTopLabel.SetText(TV_SID_SKYPE_NAME_NOT_AVAILABLE);   

    this.MsgMiddleLabel = new Label(null,"signup_suggestion_message_middle");
    this.MsgMiddleLabel.SetTextStyle("signup_suggestion_message_middle_style");
    this.MsgMiddleLabel.SetText(TV_SID_SORRY_SKYPE_NAME_ALREADY_TAKEN +"<br>"+TV_SID_NEW_SKYPE_NAME_OR_CHOOSE_SUGGESTION);   
    
    
    var this_ = sf.scene.get("CreateAccountFail1");
    var clickCF =  function(obj){this_.processClickEvent(obj);};
    var overCF =  function(obj){this_.processMouseOverEvent(obj);};
  	
  	this.SkypeNameLable = new Button();
  	this.SkypeNameLable.SetImageObjId("signup_suggestion_skype_name_lable");
  	this.SkypeNameLable.SetBgImage(BtnImgIndex.BTN_NORMAL_IMG, " ");
  	this.SkypeNameLable.SetTextObjId("signup_suggestion_skype_name_lable_text");
  	this.SkypeNameLable.SetTextStyle(BtnTextStyleIndex.BTN_TEXT_NORMAL_STYLE,"signup_suggestion_message_top_style");
  	this.SkypeNameLable.SetText("User Name");
  	this.SkypeNameLable.SetMaxStringLength(32);
    this.SkypeNameLable.SetMinStringLength(6);
    this.SkypeNameLable.SetIsPlainText(true);
    this.SkypeNameLable.SetFlagBlockSpace(true);
	this.SkypeNameLable.SetFlagIdType(true);
    this.SkypeNameLable.SetOnTextChangeFunc(function(){ this_.invalidSkypeName();});
  	
  	this.SkypeNameLableInfo = new Label(null,"signup_suggestion_skype_name_info_msg");
  	this.SkypeNameLableInfo.SetTextStyle("signup_suggestion_info_msg_style");
  	this.SkypeNameLableInfo.SetText(TV_SID_6_32_CHARACTERS_NEEDED);
  	
  	this.SkypeNameCheckIcon = new Label("signup_suggestion_skype_name_check_icon",null);
  	this.SkypeNameCheckIcon.SetBgImage(g_Image.IMAGE_SIGNUP_CHECK_ICON);
  	
  
    

    this.SkypeNameBtn= new Button();
    this.SkypeNameBtn.SetImageObjId("signup_suggestion_skype_name_btn", 30);
    this.SkypeNameBtn.SetBgImage(BtnImgIndex.BTN_NORMAL_IMG, g_Image.IMAGE_SIGNUP_BTN_NORMAL);
    this.SkypeNameBtn.SetBgImage(BtnImgIndex.BTN_NORMAL_FOCUS_IMG, g_Image.IMAGE_SIGNUP_BTN_NORMALFOCUS);
    this.SkypeNameBtn.SetTextObjId("signup_suggestion_skype_name_btn_text");
    this.SkypeNameBtn.SetTextStyle(BtnTextStyleIndex.BTN_TEXT_NORMAL_STYLE,"signup_suggestion_btn_style");
    this.SkypeNameBtn.SetTextStyle(BtnTextStyleIndex.BTN_TEXT_FOCUS_STYLE,"signup_suggestion_btn_select_style");
    this.SkypeNameBtn.SetText(TV_SID_ENTER_NEW_SKYPE_NAME);
    this.SkypeNameBtn.SetOnClickCallbackFunc(clickCF);
    this.SkypeNameBtn.SetOnMouseOverCallbackFunc(overCF);
    
    
    this.SkypeNameEditBtn= new Button();
    this.SkypeNameEditBtn.SetImageObjId("signup_suggestion_skype_name_edit_btn", 30);
    this.SkypeNameEditBtn.SetBgImage(BtnImgIndex.BTN_NORMAL_IMG, g_Image.IMAGE_SIGNUP_BTN_NORMAL);
    this.SkypeNameEditBtn.SetBgImage(BtnImgIndex.BTN_NORMAL_FOCUS_IMG, g_Image.IMAGE_SIGNUP_BTN_NORMALFOCUS);
    this.SkypeNameEditBtn.SetTextObjId("signup_suggestion_skype_name_edit_btn_text");
    this.SkypeNameEditBtn.SetTextStyle(BtnTextStyleIndex.BTN_TEXT_NORMAL_STYLE,"signup_suggestion_btn_style");
    this.SkypeNameEditBtn.SetTextStyle(BtnTextStyleIndex.BTN_TEXT_FOCUS_STYLE,"signup_suggestion_btn_select_style");
    this.SkypeNameEditBtn.SetText(SID_EDIT);
    this.SkypeNameEditBtn.SetOnClickCallbackFunc(clickCF);
    this.SkypeNameEditBtn.SetOnMouseOverCallbackFunc(overCF);
   
	this.SkypeOkBtn= new Button();
    this.SkypeOkBtn.SetImageObjId("signup_suggestion_skype_ok_btn", 30);
    this.SkypeOkBtn.SetBgImage(BtnImgIndex.BTN_NORMAL_IMG, g_Image.IMAGE_SIGNUP_BTN_NORMAL);
    this.SkypeOkBtn.SetBgImage(BtnImgIndex.BTN_NORMAL_FOCUS_IMG, g_Image.IMAGE_SIGNUP_BTN_NORMALFOCUS);
    this.SkypeOkBtn.SetBgImage(BtnImgIndex.BTN_DIM_IMG, g_Image.IMAGE_SIGNUP_BTN_DIM);
    this.SkypeOkBtn.SetTextObjId("signup_suggestion_skype_ok_text");
    this.SkypeOkBtn.SetTextStyle(BtnTextStyleIndex.BTN_TEXT_NORMAL_STYLE,"signup_suggestion_btn_style");
    this.SkypeOkBtn.SetTextStyle(BtnTextStyleIndex.BTN_TEXT_FOCUS_STYLE,"signup_suggestion_btn_select_style");
    this.SkypeOkBtn.SetText(SID_OK);
    this.SkypeOkBtn.SetOnClickCallbackFunc(clickCF);
    this.SkypeOkBtn.SetOnMouseOverCallbackFunc(overCF);
    
    
      
 
	this.SuggestionList = new ScrollList();
	this.SuggestionList.CreateBG("SuggestionList");
	//this.SuggestionList.SetBGImage(g_Image.IMAGE_SIGNUP_SUGGESTION_LIST_BG);	
	this.SuggestionList.SetNumOfVisibleItem(5);
	this.SuggestionList.SetStartDataIndex(0);		
	this.SuggestionList.SetItemBgImage(ITEM_STATE.NORMAL," ");
	this.SuggestionList.SetItemBgImage(ITEM_STATE.HIGHLIGHT,g_Image.IMAGE_SIGNUP_SUGGESTION_LIST_ITEM_HIGHLIGHT);
	this.SuggestionList.SetItemDefualtTextStyle(ITEM_STATE.NORMAL,"SuggestionListItem_Text_Normal_style");
	this.SuggestionList.SetItemDefualtTextStyle(ITEM_STATE.HIGHLIGHT,"SuggestionListItem_Text_Highlight_style");
	this.SuggestionList.SetDataType(ITEM_DATA_TYPE.TEXT_ONLY);
	
	this.SetSuggestionListData();
	
	this.SuggestionList.CreateScrBar("SuggestionScrollBar");
	this.SuggestionList.SetScrBarImage(g_Image.IMAGE_SIGNUP_SUGGESTION_SCROLLBAR_BG,
		g_Image.IMAGE_SIGNUP_SUGGESTION_SCROLLBAR_TOP,
		g_Image.IMAGE_SIGNUP_SUGGESTION_SCROLLBAR_CENTER,
		g_Image.IMAGE_SIGNUP_SUGGESTION_SCROLLBAR_BOTTOM);	
	this.SuggestionList.SetScrBarPosition(210,0,5);

	this.SuggestionList.SetOnClickCallbackFunc(0,this.onClickEventFunc1);
	this.SuggestionList.SetOnClickCallbackFunc(1,this.onClickEventFunc2);
	this.SuggestionList.SetOnClickCallbackFunc(2,this.onClickEventFunc3);
	this.SuggestionList.SetOnClickCallbackFunc(3,this.onClickEventFunc4);
	this.SuggestionList.SetOnClickCallbackFunc(4,this.onClickEventFunc5);
	this.SuggestionList.SetOnMouseOverCallbackFunc(0,this.onMouseOverEventFunc1);
	this.SuggestionList.SetOnMouseOverCallbackFunc(1,this.onMouseOverEventFunc2);
	this.SuggestionList.SetOnMouseOverCallbackFunc(2,this.onMouseOverEventFunc3);
	this.SuggestionList.SetOnMouseOverCallbackFunc(3,this.onMouseOverEventFunc4);
	this.SuggestionList.SetOnMouseOverCallbackFunc(4,this.onMouseOverEventFunc5);

	this.SuggestionList.SetClickEventAvailable(WndMgr.MouseClickEnable);

	
	this.SuggestionList.Show();


}



SceneCreateAccountFail1.prototype.SetSuggestionListData = function(){
	
	if(this.SuggestionList.GetMaxNumOfData() > 0){
		
		this.SuggestionList.DeleteDataAll();
	}
		
	var strSuggestionList = PluginAPIMgr.GetSuggestedSkypeNameList();
	alert("strSuggestionList = " + strSuggestionList );
																
	if (strSuggestionList) {
		
		var STX = String.fromCharCode(2);
		var ETX = String.fromCharCode(3);
		var splitter = ETX + STX;
		
		var SuggestionArray = strSuggestionList.split(splitter);
		var NumOfSuggestion = SuggestionArray.length - 1;
		//this.SearchNumberResultArray = new Array(this.PhoneNumberArray.length);
		
		var tempData = new Array(NumOfSuggestion);
				
		for (var i=0; i < NumOfSuggestion; i++) {
													
			tempData[i] = [ SuggestionArray[i] ,null];							
			this.SuggestionList.AddData(tempData[i]);											
		}

		//check!!!!
		
		
		
		this.SuggestionList.ShowItem();			
	}
	else{
		alert("SuggestionList is null ");
	}	/*
	this.SuggestionList.AddData("Alternative 1");
	this.SuggestionList.AddData("Blternative 2");
	this.SuggestionList.AddData("Clternative 3");
	this.SuggestionList.AddData("Dlternative 4");
	this.SuggestionList.AddData("Elternative 5");
	
	this.SuggestionList.ShowItem();	*/
	
}


SceneCreateAccountFail1.prototype.initCreateAccountFail1 = function()
{
    //this.SkypeNameBtn.SetText("");

	this.toggleFlag = false;
  //  this.CreateAccountBtn.SetFlagDim(true);
  	if(g_Data.DATA_CREATE_ACCOUNT_INPUT_INFO.id){
  		this.SkypeNameLable.SetText(g_Data.DATA_CREATE_ACCOUNT_INPUT_INFO.id);
  	}
  	this.highlight(null);
  	this.toggleObject();
	this.SetSuggestionListData();
	
}
SceneCreateAccountFail1.prototype.toggleObject = function(){
	alert("toggleObject() : flag-->>"+this.toggleFlag);
	if(this.toggleFlag){
		this.SkypeNameBtn.hiddenObj();
		
		this.SkypeNameLable.visibleObj();
		this.SkypeNameLableInfo.visibleObj();
		this.SkypeNameCheckIcon.visibleObj();
		this.SkypeNameEditBtn.visibleObj();
		this.SkypeOkBtn.visibleObj();
		
		this.toggleFlag = false;
	}else{
		this.SkypeNameLable.hiddenObj();
		this.SkypeNameLableInfo.hiddenObj();
		this.SkypeNameCheckIcon.hiddenObj();
		this.SkypeNameEditBtn.hiddenObj();
		this.SkypeOkBtn.hiddenObj();
		
		 
		this.SkypeNameBtn.visibleObj();
		this.toggleFlag = true;
	}
}


SceneCreateAccountFail1.prototype.startTextInput = function(){
    alert("SceneCreateAccountStep1.startTextInput() ");
    //alert("NameLable : "+this.SkypeNameLable.GetText());
    
    var currentHighlight =  this.CreateAccountFail1View.getCurrentHighlight();
    
    switch(currentHighlight)
    {
        case this.SkypeNameBtn:
        case this.SkypeNameEditBtn:
             WndMgr.StartTextEditor(this.SkypeNameLable, "CreateAccountFail1", null);
            break;                    
    }    
}


SceneCreateAccountFail1.prototype.highlight=function(obj)
{
	alert("SceneCreateAccountFail1.highlight()");
	
    this.CreateAccountFail1View.setCurrenHighlight(obj);
}

SceneCreateAccountFail1.prototype.select=function(obj)
{
     this.CreateAccountFail1View.setCurrentSelect(obj);
}


SceneCreateAccountFail1.prototype.processRightKey = function(){
    alert("SceneCreateAccountFail1.processRightKey() ");
    
    var currentHighlight =  this.CreateAccountFail1View.getCurrentHighlight();
    
    switch(currentHighlight)
    {
        case this.SkypeNameEditBtn:
        	if(!this.SkypeOkBtn.GetFlagDim()){
        		this.highlight(this.SkypeOkBtn);	
        	}
        	break;
        
    }
    
}


SceneCreateAccountFail1.prototype.processLeftKey = function(){
    alert("SceneCreateAccountFail1.processLeftRightKey() ");
    
    var currentHighlight =  this.CreateAccountFail1View.getCurrentHighlight();
    switch(currentHighlight)
    {
        case this.SkypeOkBtn:
       		this.highlight(this.SkypeNameEditBtn);	
        	break;
        
    }
	
    
}

SceneCreateAccountFail1.prototype.processUpKey = function(){
    alert("SceneCreateAccountFail1.processUpKey() ");
    
    var currentHighlight =  this.CreateAccountFail1View.getCurrentHighlight();
	
	//2013 modify by minseok
	if(currentHighlight==this.SuggestionList){
		if(this.SuggestionList.GetCurrentItem()==0){
			this.listHighlight = false;
			if(this.toggleFlag){
				this.highlight(this.SkypeNameBtn);	
			}else{
				this.highlight(this.SkypeNameEditBtn);
			}
		}else{
			this.SuggestionList.Previous();
		}
	}
    
}


SceneCreateAccountFail1.prototype.processDownKey = function(){
    alert("SceneCreateAccountFail1.processDownKey() ");
        
    var currentHighlight =  this.CreateAccountFail1View.getCurrentHighlight();
    
    switch(currentHighlight)
    {
        case this.SkypeNameBtn:
		case this.SkypeNameEditBtn:
		case this.SkypeOkBtn:
			this.moveToSuggestion();
			break;
        case this.SuggestionList:
        	
        	if(this.SuggestionList.GetCurrentItem()!=4){
        		this.SuggestionList.Next();	
        	}
            
            

    }
    
}

SceneCreateAccountFail1.prototype.processEnterKey = function(){
    alert("SceneCreateAccountFail1.processEnterKey() ");
    
    var currentHighlight =  this.CreateAccountFail1View.getCurrentHighlight();
    
    this.select(currentHighlight);
    
     switch(currentHighlight)
    {
        case this.SkypeNameBtn:
        case this.SkypeNameEditBtn:
            this.startTextInput();
            
        break;
        
        case this.SkypeOkBtn:
        	ProcMgr.CreateAccountWithNewSkypeName(this.SkypeNameLable.GetText());
        	break;
        case this.SuggestionList:
			var Index = this.SuggestionList.GetCurrentItem();
			var Text = this.SuggestionList.ItemArray[Index].GetDataText();
			this.SkypeNameLable.SetText(Text);
			ProcMgr.CreateAccountWithNewSkypeName(this.SkypeNameLable.GetText());
			//this.DefaultHelpBar.hiddenObj();
			//this.highlight(this.SkypeNameBtn);
        	break;						
    }
    
}

SceneCreateAccountFail1.prototype.processReturnKey = function(){
    alert("SceneCreateAccountFail1.processReturnKey() ");
    
    //WndMgr.BackStepSignup();
	//WndMgr.BackStepCreateAccount();
	StateMgr.Start_Welcome_State();
}

SceneCreateAccountFail1.prototype.processExitKey = function(){
    alert("SceneCreateAccountFail1.processExitKey() ");
   
   ProcMgr.ExitWithSignIn();
}

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

SceneCreateAccountFail1.prototype.invalidSkypeName = function(){
    alert("SceneCreateAccountFail1.invalidSkypeName() ");
	
    if(this.InitFlag ==true)
    {
        return;
    }
    
    var SkypeNameinputText = this.SkypeNameLable.GetText();
   
   	alert("inputText : "+SkypeNameinputText);
    this.FlagSkypeNameCheck= false;
	
    if(SkypeNameinputText.length ==0)
    {
        this.SkypeNameLableInfo.SetText(TV_SID_6_32_CHARACTERS_NEEDED);
    }
    else
	{
		var normalize_result = PluginAPIMgr.NormalizeIdentityForNewAccount(SkypeNameinputText);
		var STX = String.fromCharCode(2);
		var ETX = String.fromCharCode(3);
		var splitter = ETX + STX;
		
		var Result = normalize_result.split(splitter);
		
		if(parseInt(Result[0]) == ENUM_NORMALIZERESULT.IDENTITY_OK)
		{
		 	var result = PluginAPIMgr.ValidatePasswd(SkypeNameinputText,g_Data.DATA_CREATE_ACCOUNT_INPUT_INFO.pwd);
			if(result == ENUM_PWD_VALIDATERESULT.SAME_AS_USERNAME)
		    {
		        this.SkypeNameLableInfo.SetText(TV_SID_PASSWORD_IS_TOO_SIMILAR_TO_SKYPE_NAME);
		    }
			else
			{
				this.SkypeNameLableInfo.SetText("");
		        this.FlagSkypeNameCheck= true;        
			}
		}
		else if(parseInt(Result[0]) == ENUM_NORMALIZERESULT.IDENTITY_EMPTY)
	    {
	        this.SkypeNameLableInfo.SetText(TV_SID_6_32_CHARACTERS_NEEDED);
	    }
		else if(parseInt(Result[0]) == ENUM_NORMALIZERESULT.SKYPENAME_SHORTER_THAN_6_CHARS)
	    {
	        this.SkypeNameLableInfo.SetText(TV_SID_TOO_SHORT_6_CHARACTERS_MIN);
	    }
		else if(parseInt(Result[0]) == ENUM_NORMALIZERESULT.IDENTITY_TOO_LONG)
	    {
	        this.SkypeNameLableInfo.SetText(TV_SID_6_32_CHARACTERS_NEEDED);
	    }
		else if(parseInt(Result[0]) == ENUM_NORMALIZERESULT.SKYPENAME_STARTS_WITH_NONALPHA)
	    {
	        this.SkypeNameLableInfo.SetText(TV_SKYPE_USERNAME_START_ALPHABETIC_MSG);
	    }
		else if(parseInt(Result[0]) == ENUM_NORMALIZERESULT.IDENTITY_CONTAINS_INVALID_CHAR)
		{
			this.SkypeNameLableInfo.SetText(TV_THE_SKYPE_USERNAME_HAS_INVALID_CHARACTERS);
		}
	    else
	    {
			this.SkypeNameLableInfo.SetText(IDWS_MOIP_LOGIN_FAIL_INVALID_SKYPENAME);
	    }
	} 
	
	if(this.FlagSkypeNameCheck== false)
	{
		if(this.SkypeOkBtn != null)
        {
            this.SkypeOkBtn.SetFlagDim(true);
        }
	}
	else
	{
		if(this.SkypeOkBtn != null)
        {
            this.SkypeOkBtn.SetFlagDim(false);
            this.highlight(this.SkypeOkBtn);
        }
	}   
	
}

SceneCreateAccountFail1.prototype.moveToSuggestion = function(){

	if(this.SuggestionList.GetMaxNumOfData() > 0){
		this.listHighlight = true;
        this.highlight(this.SuggestionList);
		//this.DefaultHelpBar.visibleObj();		
	}
	
}

///////// Processing Click evnet  //////////////////////////////////////////////////////////////////////////////////////////////////////////////////

SceneCreateAccountFail1.prototype.processClickEvent = function(obj){
	alert("SceneCreateAccountFail1.processClickEvent() ");
	
	this.processEnterKey();
}
SceneCreateAccountFail1.prototype.processMouseOverEvent = function(obj){
	alert("SceneCreateAccountFail1.processMouseOverEvent() ");
	
	var currentHighlight =  this.CreateAccountFail1View.getCurrentHighlight();
    if(currentHighlight != obj)
    {
    	if(currentHighlight==this.SuggestionList){		//list -> button
    		this.listHighlight = false;
    	}
    	this.highlight(obj);
    }
	
//	this.processEnterKey();
}

SceneCreateAccountFail1.prototype.processListClick = function(ItemIndex)
{
	alert("SceneCreateAccountFail1.processListClick() -- " + ItemIndex);
	

	//this.SuggestionList.SetCurrentItem(ItemIndex);
	var Text = this.SuggestionList.ItemArray[ItemIndex].GetDataText();
	this.SkypeNameLable.SetText(Text);
	ProcMgr.CreateAccountWithNewSkypeName(this.SkypeNameLable.GetText());

}
SceneCreateAccountFail1.prototype.processListMouseOver = function(ItemIndex)
{
	alert("SceneCreateAccountFail1.processListMouseOver() -- " + ItemIndex);
	

	this.SuggestionList.SetCurrentItem(ItemIndex);

}

SceneCreateAccountFail1.prototype.onClickEventFunc1 = function()
{
	var This_ = sf.scene.get("CreateAccountFail1");	
	This_.processListClick(0);
}

SceneCreateAccountFail1.prototype.onClickEventFunc2 = function()
{
	var This_ = sf.scene.get("CreateAccountFail1");	
	This_.processListClick(1);
}

SceneCreateAccountFail1.prototype.onClickEventFunc3 = function()
{
	var This_ = sf.scene.get("CreateAccountFail1");	
	This_.processListClick(2);
}

SceneCreateAccountFail1.prototype.onClickEventFunc4 = function()
{
	var This_ = sf.scene.get("CreateAccountFail1");	
	This_.processListClick(3);
}

SceneCreateAccountFail1.prototype.onClickEventFunc5 = function()
{
	var This_ = sf.scene.get("CreateAccountFail1");	
	This_.processListClick(4);
}

SceneCreateAccountFail1.prototype.onMouseOverEventFunc1 = function()
{
	var This_ = sf.scene.get("CreateAccountFail1");	
	if(This_.listHighlight == false){
		This_.listHighlight = true;
        This_.highlight(This_.SuggestionList);
	}
	This_.processListMouseOver(0);
}

SceneCreateAccountFail1.prototype.onMouseOverEventFunc2 = function()
{
	var This_ = sf.scene.get("CreateAccountFail1");	
	if(This_.listHighlight == false){
		This_.listHighlight = true;
        This_.highlight(This_.SuggestionList);
	}
	This_.processListMouseOver(1);
}

SceneCreateAccountFail1.prototype.onMouseOverEventFunc3 = function()
{
	var This_ = sf.scene.get("CreateAccountFail1");	
	if(This_.listHighlight == false){
		This_.listHighlight = true;
        This_.highlight(This_.SuggestionList);
	}
	This_.processListMouseOver(2);
}

SceneCreateAccountFail1.prototype.onMouseOverEventFunc4 = function()
{
	var This_ = sf.scene.get("CreateAccountFail1");	
	if(This_.listHighlight == false){
		This_.listHighlight = true;
        This_.highlight(This_.SuggestionList);
	}
	This_.processListMouseOver(3);
}

SceneCreateAccountFail1.prototype.onMouseOverEventFunc5 = function()
{
	var This_ = sf.scene.get("CreateAccountFail1");	
	if(This_.listHighlight == false){
		This_.listHighlight = true;
        This_.highlight(This_.SuggestionList);
	}
	This_.processListMouseOver(4);
}


